OI Payments Docs
API ReferenceAdmin Apps

Update Settings

PATCH
/api/v1/admin/apps/{id}/settings

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://example.com/api/v1/admin/apps/0/settings" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 0,
    "name": "string",
    "status": "string",
    "webhookUrl": "string",
    "refundApprovalThresholdMinor": 0,
    "receiptsEnabled": true,
    "minAmountMinor": 0,
    "maxAmountMinor": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}